complexType "RequestConsent"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 26 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, isCorrection, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, requestedAction?, portfolioReference?, compressionActivity?, ((originatingEvent?, trade) | amendment | increase | (terminatingEvent?, termination) | novation | change | optionExercise | optionExpiry+ | deClear | withdrawal | additionalEvent), quote+?, party+, account*
</...>

Content Model Elements (26):

  account,
  additionalEvent,
  amendment,
  change (defined in Events.model group),
  compressionActivity,
  correlationId,
  deClear,
  header (defined in RequestMessage complexType),
  increase,
  isCorrection,
  novation,
  onBehalfOf (defined in OnBehalfOf.model group),
  optionExercise,
  optionExpiry (defined in Events.model group),
  originatingEvent (defined in Events.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  portfolioReference (defined in PortfolioReference.model group),
  quote (defined in EventValuation.model group),
  requestedAction (in requestConsent),
  sequenceNumber (defined in Sequence.model group),
  terminatingEvent (defined in Events.model group),
  termination,
  trade (defined in Events.model group),
  validation,
  withdrawal

All Direct / Indirect Based Elements (1):

  requestConsent

Known Usage Locations

- As direct type of elements (1):
  requestConsent

Annotation
A message requesting that the sender be authorized by the recipient to peform an action.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) RequestConsent

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="RequestConsent"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="requestedAction" type="RequestedAction"/> <xsd:group minOccurs="0" ref="PortfolioReference.model"/> <xsd:group minOccurs="0" ref="Compression.model"/> <xsd:group ref="Events.model"/> <xsd:group minOccurs="0" ref="EventValuation.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/26)
requestedAction

  Type: | RequestedAction, simple content

  The reason the consent was requested.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="requestedAction" type="RequestedAction"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.